import { Component, javascript, python, java, cdk } from 'projen';
import { SnykSastWorkflowOptions } from './sast-workflow';
import { SnykScaWorkflowOptions } from './sca-workflow';
import { SecurityScanWorkflowOptions } from './security-scan-workflow';
export interface SnykComponentOptions {
    readonly snykOrgId?: string;
    readonly snykMonitoredProjectId?: string;
    readonly workflowName?: string;
    readonly securityScanWorkflowOptions?: SecurityScanWorkflowOptions;
    readonly enableSca?: boolean;
    readonly snykScaWorkflowOptions?: SnykScaWorkflowOptions;
    readonly enableSast?: boolean;
    readonly snykSastWorkflowOptions?: SnykSastWorkflowOptions;
}
export declare class SnykComponent extends Component {
    readonly snykWorkflowName: string;
    readonly enableSca: boolean;
    readonly enableSast: boolean;
    constructor(project: javascript.NodeProject | python.PythonProject | java.JavaProject | cdk.JsiiProject, options: SnykComponentOptions);
}
